Subject: bug#42397: [PATCH 14/14] * lisp/font-lock.el: No longer mark each end of a section explicitly.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jul 2020 18:24:20 +0300

> Date: Thu, 16 Jul 2020 16:54:56 +0200
> Cc: [email-masked]
> 
> Each section ends right before the following section begins.  It is
> therefore unnecessary to mark the end of sections.  The end of section
> headings made the result of invoking `outline-hide-sublevels' much
> less readable than what we get after this change.

It might sometimes be useful if a section is very long, and the file
isn't placed under Outline.  If we are going to remove these as a
matter of policy, I think we should first discuss that on emacs-devel,
to see if there are people who might want those "end" markers.